using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace GroupPanelCheckBox
{
	public class Message : INotifyPropertyChanged
	{
		private bool isChecked;

		public string Subject
		{
			get;
			set;
		}

		public string Sender
		{
			get;
			set;
		}

		public int Size
		{
			get;
			set;
		}

		public bool IsChecked
		{
			get
			{
				return isChecked;
			}
			set
			{
				isChecked = value;
				this.OnPropertyChanged("Ischecked");
			}
		}

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}

		#region INotifyPropertyChanged Members

		public event PropertyChangedEventHandler PropertyChanged;

		#endregion
	}
}
